
Figure - Bug #119106
【BSP】【EVT3】【Tlog】Tlog勾选实时日志后，KL15重启或OTA升级后，再次进入tlog选择历史，点击start之
后抓出来的是实时日志
2023-07-28 15:02 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-07-28

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0127

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-08-02

Test Type: ST Root cause: apk逻辑代码问题

Description

【前提条件】

None

【测试步骤】

1. 烧写127版本

2. *#147#勾选实时日志，并点击start

3. KL15或OTA升级

4. 重新进入tlog，选择历史日志点击start

【预期结果】

4 tlog正常抓取历史日志

【实际结果】

4 tlog抓出来的是实时日志

History

#1 - 2023-08-01 20:07 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

219184 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com

SYSTEM :Tlog: Solving the apk problem of tlog(3)modify LogClientFragment.java to adjust APK logicTC-RID: 1200-0800102IssueID:

TS-R-BUG-119106Change-Id: I2a38ec47d6f782e7a35d17728d74693f2fd2212f

#2 - 2023-08-02 09:53 - CD SYSTEM-夏旭

- Status changed from New to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No
- Fixed Version set to 2023-08-02

- Root cause set to apk逻辑代码问题

【目前进展】

在选择实时日志并且抓取之后，logtype的值就是manual

因为逻辑问题，下一次进入时自动选择了历史日志，但是logtype却是manual

在onresume的时候判断logtype的值，如果是manual就选中manual，不用再去判断是否正在抓取日志

【下一步计划】

相关代码已经入库，麻烦用最新的DB验证

#3 - 2023-08-03 17:56 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：DB_0803

验证结果：验证通过

验证方法：

1. 点击实时日志，返回桌面，再次进入tlog，抓取历史日志正常

2. 点击实时日志，KL15重启，再次进入tlog，抓取历史日志正常

3. 点击实时日志，OTA升级重启，再次进入tlog，抓取历史日志正常

4. 历史日志、实时日志切换抓取正常

#4 - 2023-08-03 17:56 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

#5 - 2023-08-04 10:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

300124 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

SYSTEM :Tlog: Solving the apk problem of tlog(3)modify LogClientFragment.java to adjust APK logicTC-RID: 1200-0800102IssueID:

TS-R-BUG-119106Change-Id: I2a38ec47d6f782e7a35d17728d74693f2fd2212f(cherry picked from commit a321a59cb84d22080851ea3c088a4b5076622a70)

Files

all1.txt 2.5 MB 2023-07-28 移动测试一组_CDTS 刘强

tlog_iov0201017500006162025411a2305070000003681_003312_0728143455.tar.gz41.9 MB 2023-07-28 移动测试一组_CDTS 刘强
